from m3.actions import ApplicationLogicException


class WrongTimeIntervalError(ApplicationLogicException):
    """
    Исключение, говорящее о том, что не корректно выбран
    временной интервал - Дата начала позже даты конца.
    """
    def __init__(self):
        super().__init__(
            "Дата начала интервала не может быть позже даты окончания!"
        )


class ItemAlreadyExistError(ApplicationLogicException):
    """
    Исключение, говорящее о том,
    что пользователь пытается добавить запись,
    которая уже существует
    """
    def __init__(self):
        super().__init__('Такая запись уже существует!')